## r-cran-recipes 0.1.0

=== DESCRIPTION ===
Package: recipes
Title: Preprocessing Tools to Create Design Matrices
Version: 0.1.0
Authors@R: c(
    person("Max", "Kuhn", , "max@rstudio.com", c("aut", "cre")),
    person("Hadley", "Wickham", , "hadley@rstudio.com", "aut"),
    person("RStudio", role = "cph"))
Description: An extensible framework to create and preprocess 
    design matrices. Recipes consist of one or more data manipulation 
    and analysis "steps". Statistical parameters for the steps can 
    be estimated from an initial data set and then applied to 
    other data sets. The resulting design matrices can then be used 
    as inputs into statistical or machine learning models. 
URL: https://github.com/topepo/recipes
BugReports: https://github.com/topepo/recipes/issues
Depends: R (>= 3.2.3), dplyr
Imports: tibble, stats, ipred, dimRed (>= 0.1.0), lubridate, timeDate,
        ddalpha, purrr, rlang (>= 0.1.1), gower, RcppRoll, tidyselect
        (>= 0.1.1), magrittr
Suggests: testthat, rpart, kernlab, fastICA, RANN, igraph, knitr,
        caret, ggplot2, rmarkdown
License: GPL-2
VignetteBuilder: knitr
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-07-27 01:40:39 UTC; max
Author: Max Kuhn [aut, cre],
  Hadley Wickham [aut],
  RStudio [cph]
Maintainer: Max Kuhn <max@rstudio.com>
Repository: CRAN
Date/Publication: 2017-07-27 10:46:19 UTC

=== debian/changelog ===
r-cran-recipes (0.1.0-1) unstable; urgency=medium

  * Initial release (closes: #883510)

 -- Andreas Tille <tille@debian.org>  Mon, 04 Dec 2017 19:15:25 +0100

=== debian/control ===
Source: r-cran-recipes
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-dplyr,
               r-cran-tibble,
               r-cran-lubridate,
               r-cran-timedate,
               r-cran-rlang,
               r-cran-magrittr,
               r-cran-gower,
               r-cran-rcpproll,
               r-cran-ipred,
               r-cran-dimred,
               r-cran-ddalpha,
               r-cran-purrr,
               r-cran-tidyselect
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-recipes.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-recipes.git
Homepage: https://cran.r-project.org/package=recipes

Package: r-cran-recipes
Architecture: all
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R preprocessing tools to create design matrices
 This GNU R package provides an extensible framework to create and
 preprocess design matrices. Recipes consist of one or more data
 manipulation and analysis "steps". Statistical parameters for the steps
 can be estimated from an initial data set and then applied to other data
 sets. The resulting design matrices can then be used as inputs into
 statistical or machine learning models.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/recipes_([-\d.]*)\.tar\.gz

## r-cran-recipes 0.1.2

=== debian/changelog ===
r-cran-recipes (0.1.2-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jun 2018 19:55:08 +0200

r-cran-recipes (0.1.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11
  * New Build-Depends: r-cran-broom

 -- Andreas Tille <tille@debian.org>  Wed, 14 Mar 2018 14:45:11 +0100

=== debian/control ===
Source: r-cran-recipes
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-dplyr,
               r-cran-broom,
               r-cran-tibble,
               r-cran-ipred,
               r-cran-dimred,
               r-cran-lubridate,
               r-cran-timedate,
               r-cran-ddalpha,
               r-cran-purrr,
               r-cran-rlang,
               r-cran-gower,
               r-cran-rcpproll,
               r-cran-tidyselect,
               r-cran-magrittr,
               r-cran-matrix
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-recipes
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-recipes.git
Homepage: https://cran.r-project.org/package=recipes

Package: r-cran-recipes
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R preprocessing tools to create design matrices
 This GNU R package provides an extensible framework to create and
 preprocess design matrices. Recipes consist of one or more data
 manipulation and analysis "steps". Statistical parameters for the steps
 can be estimated from an initial data set and then applied to other data
 sets. The resulting design matrices can then be used as inputs into
 statistical or machine learning models.

## r-cran-recipes 0.1.4

=== DESCRIPTION ===
Package: recipes
Title: Preprocessing Tools to Create Design Matrices
Version: 0.1.4
Authors@R: c(
    person("Max", "Kuhn", , "max@rstudio.com", c("aut", "cre")),
    person("Hadley", "Wickham", , "hadley@rstudio.com", "aut"),
    person("RStudio", role = "cph"))
Description: An extensible framework to create and preprocess 
    design matrices. Recipes consist of one or more data manipulation 
    and analysis "steps". Statistical parameters for the steps can 
    be estimated from an initial data set and then applied to 
    other data sets. The resulting design matrices can then be used 
    as inputs into statistical or machine learning models. 
URL: https://github.com/tidymodels/recipes
BugReports: https://github.com/tidymodels/recipes/issues
Depends: R (>= 3.1), dplyr
Imports: generics, gower, ipred, lubridate, magrittr, Matrix, purrr (>=
        0.2.3), RcppRoll, rlang (>= 0.3.0.1), stats, tibble, tidyr,
        tidyselect (>= 0.1.1), timeDate, utils, withr
Suggests: covr, ddalpha, dimRed (>= 0.2.2), fastICA, ggplot2, igraph,
        kernlab, knitr, NMF, pls, RANN, rmarkdown, rpart, rsample,
        RSpectra, testthat
License: GPL-2
VignetteBuilder: knitr
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2018-11-18 19:44:24 UTC; max
Author: Max Kuhn [aut, cre],
  Hadley Wickham [aut],
  RStudio [cph]
Maintainer: Max Kuhn <max@rstudio.com>
Repository: CRAN
Date/Publication: 2018-11-19 12:50:03 UTC

=== debian/changelog ===
r-cran-recipes (0.1.4-2) unstable; urgency=medium

  * Team upload
  * Add Test-Depends: r-cran-ddalpha
                      r-cran-dimred
                      r-cran-fastica
                      r-cran-kernlab
                      r-cran-pls

 -- Graham Inggs <ginggs@debian.org>  Sat, 08 Dec 2018 07:51:51 +0000

r-cran-recipes (0.1.4-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends
  * Build-Depends: r-cran-generics

 -- Andreas Tille <tille@debian.org>  Fri, 07 Dec 2018 13:03:41 +0100

r-cran-recipes (0.1.3-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends
  * New Build-Depends: r-cran-pls
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Sun, 09 Sep 2018 20:43:40 +0200

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,21 @@
                dh-r,
                r-base-dev,
                r-cran-dplyr,
-               r-cran-broom,
+               r-cran-generics,
+               r-cran-gower,
+               r-cran-ipred,
+               r-cran-lubridate,
+               r-cran-magrittr,
+               r-cran-matrix,
+               r-cran-purrr,
+               r-cran-rcpproll,
+               r-cran-rlang (>= 0.3.0.1),
                r-cran-tibble,
-               r-cran-ipred,
-               r-cran-dimred,
-               r-cran-lubridate,
+               r-cran-tidyr,
+               r-cran-tidyselect,
                r-cran-timedate,
-               r-cran-ddalpha,
-               r-cran-purrr,
-               r-cran-rlang,
-               r-cran-gower,
-               r-cran-rcpproll,
-               r-cran-tidyselect,
-               r-cran-magrittr,
-               r-cran-matrix
-Standards-Version: 4.1.4
+               r-cran-withr
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-recipes
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-recipes.git
 Homepage: https://cran.r-project.org/package=recipes

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-ddalpha, r-cran-dimred, r-cran-fastica, r-cran-kernlab, r-cran-pls
Restrictions: allow-stderr

## r-cran-recipes 0.1.6

=== debian/changelog ===
r-cran-recipes (0.1.6-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Test-Depends: r-cran-rcpproll

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jul 2019 11:59:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,25 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-dplyr,
                r-cran-generics,
+               r-cran-glue,
                r-cran-gower,
                r-cran-ipred,
                r-cran-lubridate,
                r-cran-magrittr,
                r-cran-matrix,
                r-cran-purrr,
-               r-cran-rcpproll,
-               r-cran-rlang (>= 0.3.0.1),
+               r-cran-rlang (>= 0.4.0),
                r-cran-tibble,
                r-cran-tidyr,
                r-cran-tidyselect,
                r-cran-timedate,
                r-cran-withr
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-recipes
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-recipes.git
 Homepage: https://cran.r-project.org/package=recipes

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-ddalpha, r-cran-dimred, r-cran-fastica, r-cran-kernlab, r-cran-pls, r-cran-rcpproll
Restrictions: allow-stderr

## r-cran-recipes 0.1.9+dfsg

=== DESCRIPTION ===
Package: recipes
Title: Preprocessing Tools to Create Design Matrices
Version: 0.1.9
Authors@R: c(
    person(given = "Max",    family = "Kuhn",    email = "max@rstudio.com",    role = c("aut", "cre")),
    person(given = "Hadley", family = "Wickham", email = "hadley@rstudio.com", role = c("aut")),
    person("RStudio", role = "cph"))
Description: An extensible framework to create and preprocess 
    design matrices. Recipes consist of one or more data manipulation 
    and analysis "steps". Statistical parameters for the steps can 
    be estimated from an initial data set and then applied to 
    other data sets. The resulting design matrices can then be used 
    as inputs into statistical or machine learning models. 
URL: https://github.com/tidymodels/recipes
BugReports: https://github.com/tidymodels/recipes/issues
Depends: R (>= 3.1), dplyr
Imports: generics, glue, gower, ipred, lubridate, magrittr, Matrix,
        purrr (>= 0.2.3), rlang (>= 0.4.0), stats, tibble, tidyr (>=
        0.8.3), tidyselect (>= 0.2.5), timeDate, utils, withr
Suggests: covr, ddalpha, dimRed (>= 0.2.2), fastICA, ggplot2, igraph,
        kernlab, knitr, modeldata, pls, RANN, RcppRoll, rmarkdown,
        rpart, rsample, RSpectra, testthat (>= 2.1.0), xml2
License: GPL-2
VignetteBuilder: knitr
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.0.2.9000
NeedsCompilation: no
Packaged: 2020-01-05 21:51:32 UTC; max
Author: Max Kuhn [aut, cre],
  Hadley Wickham [aut],
  RStudio [cph]
Maintainer: Max Kuhn <max@rstudio.com>
Repository: CRAN
Date/Publication: 2020-01-07 20:20:08 UTC

=== debian/changelog ===
r-cran-recipes (0.1.9+dfsg-2) unstable; urgency=medium

  * Test-Depends: r-cran-rspectra, r-cran-igraph, r-cran-rann
  * Standards-Version: 4.5.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jan 2020 15:57:47 +0100

r-cran-recipes (0.1.9+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Bug-Submit, Repository.
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Fri, 10 Jan 2020 10:41:36 +0100

r-cran-recipes (0.1.8-2) unstable; urgency=medium

  * Test-Depends: r-cran-modeldata, r-cran-xml2
    Closes: #941807

 -- Andreas Tille <tille@debian.org>  Sun, 05 Jan 2020 21:03:00 +0100

r-cran-recipes (0.1.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.1
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g

 -- Dylan Aïssi <daissi@debian.org>  Mon, 30 Dec 2019 22:07:04 +0100

r-cran-recipes (0.1.7-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Repository.
  * New Test-Depends: r-cran-rsample

 -- Andreas Tille <tille@debian.org>  Tue, 17 Sep 2019 11:01:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-dplyr,
@@ -17,11 +17,11 @@
                r-cran-purrr,
                r-cran-rlang (>= 0.4.0),
                r-cran-tibble,
-               r-cran-tidyr,
+               r-cran-tidyr (>= 0.8.3),
                r-cran-tidyselect,
                r-cran-timedate,
                r-cran-withr
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-recipes
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-recipes.git
 Homepage: https://cran.r-project.org/package=recipes

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-xml2, r-cran-ddalpha, r-cran-dimred, r-cran-fastica, r-cran-kernlab, r-cran-pls, r-cran-rcpproll, r-cran-rsample, r-cran-modeldata, r-cran-rspectra, r-cran-igraph, r-cran-rann
Restrictions: allow-stderr

## r-cran-recipes 0.1.12+dfsg

=== debian/changelog ===
r-cran-recipes (0.1.12+dfsg-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:22:58 +0000

r-cran-recipes (0.1.12+dfsg-2) unstable; urgency=medium

  * Source upload in R 4.0 transition

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2020 16:59:30 +0200

r-cran-recipes (0.1.12+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 06 May 2020 12:05:54 +0200

r-cran-recipes (0.1.10+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 19 Mar 2020 10:29:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: r-cran-recipes
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-r,
@@ -25,6 +27,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-recipes
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-recipes.git
 Homepage: https://cran.r-project.org/package=recipes
+Rules-Requires-Root: no
 
 Package: r-cran-recipes
 Architecture: all

## r-cran-recipes 0.1.15+dfsg

=== debian/changelog ===
r-cran-recipes (0.1.15+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 16 Nov 2020 23:58:03 +0530

r-cran-recipes (0.1.14+dfsg-1) unstable; urgency=medium

  * Remove hack for autopkgtest
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 30 Oct 2020 11:21:59 +0100

r-cran-recipes (0.1.13+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Work around test-suite issue

 -- Andreas Tille <tille@debian.org>  Fri, 04 Sep 2020 10:09:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: r-cran-recipes
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-dplyr,
-               r-cran-generics,
+               r-cran-generics (>= 0.1.0),
                r-cran-glue,
                r-cran-gower,
                r-cran-ipred,
+               r-cran-lifecycle,
                r-cran-lubridate,
                r-cran-magrittr,
                r-cran-matrix,
                r-cran-purrr,
                r-cran-rlang (>= 0.4.0),
                r-cran-tibble,
-               r-cran-tidyr (>= 0.8.3),
-               r-cran-tidyselect,
+               r-cran-tidyr (>= 1.0.0),
+               r-cran-tidyselect (>= 1.1.0),
                r-cran-timedate,
                r-cran-withr
 Standards-Version: 4.5.0

## r-cran-recipes 0.1.17+dfsg

=== DESCRIPTION ===
Package: recipes
Title: Preprocessing and Feature Engineering Steps for Modeling
Version: 0.1.17
Authors@R: 
    c(person(given = "Max",
             family = "Kuhn",
             role = c("aut", "cre"),
             email = "max@rstudio.com"),
      person(given = "Hadley",
             family = "Wickham",
             role = "aut",
             email = "hadley@rstudio.com"),
      person(given = "RStudio",
             role = "cph"))
Description: A recipe prepares your data for modeling. We provide an extensible
    framework for pipeable sequences of feature engineering steps provides
    preprocessing tools to be applied to data. Statistical parameters for
    the steps can be estimated from an initial data set and then applied
    to other data sets. The resulting processed output can then be used as
    inputs for statistical or machine learning models.
License: MIT + file LICENSE
URL: https://github.com/tidymodels/recipes,
        https://recipes.tidymodels.org
BugReports: https://github.com/tidymodels/recipes/issues
Depends: dplyr, R (>= 3.1)
Imports: ellipsis, generics (>= 0.1.0), glue, gower, ipred (>= 0.9-12),
        lifecycle, lubridate, magrittr, Matrix, purrr (>= 0.2.3), rlang
        (>= 0.4.0), stats, tibble, tidyr (>= 1.0.0), tidyselect (>=
        1.1.0), timeDate, utils, vctrs, withr
Suggests: covr, ddalpha, dimRed (>= 0.2.2), fastICA, ggplot2, igraph,
        kernlab, knitr, modeldata, parsnip (>= 0.1.7), RANN, RcppRoll,
        rmarkdown, rpart, rsample, RSpectra, testthat (>= 3.0.0),
        workflows, xml2
VignetteBuilder: knitr
RdMacros: lifecycle
Encoding: UTF-8
RoxygenNote: 7.1.2
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2021-09-23 18:59:56 UTC; maxkuhn
Author: Max Kuhn [aut, cre],
  Hadley Wickham [aut],
  RStudio [cph]
Maintainer: Max Kuhn <max@rstudio.com>
Repository: CRAN
Date/Publication: 2021-09-27 10:00:06 UTC

=== debian/changelog ===
r-cran-recipes (0.1.17+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 29 Sep 2021 17:33:24 +0200

r-cran-recipes (0.1.16+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 22 Aug 2021 02:03:12 +0530

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-dplyr,
+               r-cran-ellipsis,
                r-cran-generics (>= 0.1.0),
                r-cran-glue,
                r-cran-gower,
@@ -22,8 +23,9 @@
                r-cran-tidyr (>= 1.0.0),
                r-cran-tidyselect (>= 1.1.0),
                r-cran-timedate,
+               r-cran-vctrs,
                r-cran-withr
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-recipes
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-recipes.git
 Homepage: https://cran.r-project.org/package=recipes

## r-cran-recipes 1.0.1+dfsg

=== debian/changelog ===
r-cran-recipes (1.0.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 13 Jul 2022 09:56:15 +0200

r-cran-recipes (0.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 31 Mar 2022 10:51:36 +0200

=== debian/control ===
--- 
+++ 
@@ -8,24 +8,26 @@
                dh-r,
                r-base-dev,
                r-cran-dplyr,
+               r-cran-cli,
                r-cran-ellipsis,
-               r-cran-generics (>= 0.1.0),
+               r-cran-generics (>= 0.1.2),
                r-cran-glue,
                r-cran-gower,
+               r-cran-hardhat (>= 1.2.0),
                r-cran-ipred,
                r-cran-lifecycle,
-               r-cran-lubridate,
+               r-cran-lubridate (>= 1.8.0),
                r-cran-magrittr,
                r-cran-matrix,
                r-cran-purrr,
-               r-cran-rlang (>= 0.4.0),
+               r-cran-rlang (>= 1.0.3),
                r-cran-tibble,
                r-cran-tidyr (>= 1.0.0),
-               r-cran-tidyselect (>= 1.1.0),
+               r-cran-tidyselect (>= 1.1.2),
                r-cran-timedate,
                r-cran-vctrs,
                r-cran-withr
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-recipes
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-recipes.git
 Homepage: https://cran.r-project.org/package=recipes

## r-cran-recipes 1.0.4+dfsg

=== DESCRIPTION ===
Package: recipes
Title: Preprocessing and Feature Engineering Steps for Modeling
Version: 1.0.4
Authors@R: c(
    person("Max", "Kuhn", , "max@posit.co", role = c("aut", "cre")),
    person("Hadley", "Wickham", , "hadley@posit.co", role = "aut"),
    person("Posit Software PBC", role = "cph")
  )
Description: A recipe prepares your data for modeling. We provide an
    extensible framework for pipeable sequences of feature engineering
    steps provides preprocessing tools to be applied to data. Statistical
    parameters for the steps can be estimated from an initial data set and
    then applied to other data sets. The resulting processed output can
    then be used as inputs for statistical or machine learning models.
License: MIT + file LICENSE
URL: https://github.com/tidymodels/recipes,
        https://recipes.tidymodels.org/
BugReports: https://github.com/tidymodels/recipes/issues
Depends: dplyr, R (>= 3.4)
Imports: cli, clock (>= 0.6.1), ellipsis, generics (>= 0.1.2), glue,
        gower, hardhat (>= 1.2.0), ipred (>= 0.9-12), lifecycle (>=
        1.0.3), lubridate (>= 1.8.0), magrittr, Matrix, purrr (>=
        0.2.3), rlang (>= 1.0.3), stats, tibble, tidyr (>= 1.0.0),
        tidyselect (>= 1.2.0), timeDate, utils, vctrs (>= 0.5.0), withr
Suggests: covr, ddalpha, dials (>= 1.0.0), ggplot2, igraph, kernlab,
        knitr, modeldata (>= 0.1.1), parsnip (>= 0.1.7), RANN,
        RcppRoll, rmarkdown, rpart, rsample, RSpectra, splines2,
        testthat (>= 3.0.0), workflows, xml2
VignetteBuilder: knitr
RdMacros: lifecycle
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-01-10 17:45:21 UTC; max
Author: Max Kuhn [aut, cre],
  Hadley Wickham [aut],
  Posit Software PBC [cph]
Maintainer: Max Kuhn <max@posit.co>
Repository: CRAN
Date/Publication: 2023-01-11 10:40:07 UTC

=== debian/changelog ===
r-cran-recipes (1.0.4+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jan 2023 15:21:15 +0100

r-cran-recipes (1.0.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 10 Jan 2023 20:27:48 +0100

r-cran-recipes (1.0.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 02 Nov 2022 11:51:56 +0100

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,14 @@
                r-base-dev,
                r-cran-dplyr,
                r-cran-cli,
+               r-cran-clock,
                r-cran-ellipsis,
                r-cran-generics (>= 0.1.2),
                r-cran-glue,
                r-cran-gower,
-               r-cran-hardhat (>= 1.2.0),
+               r-cran-hardhat,
                r-cran-ipred,
-               r-cran-lifecycle,
+               r-cran-lifecycle (>= 1.0.3),
                r-cran-lubridate (>= 1.8.0),
                r-cran-magrittr,
                r-cran-matrix,
@@ -23,11 +24,11 @@
                r-cran-rlang (>= 1.0.3),
                r-cran-tibble,
                r-cran-tidyr (>= 1.0.0),
-               r-cran-tidyselect (>= 1.1.2),
+               r-cran-tidyselect (>= 1.2.0),
                r-cran-timedate,
-               r-cran-vctrs,
+               r-cran-vctrs (>= 0.5.0),
                r-cran-withr
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-recipes
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-recipes.git
 Homepage: https://cran.r-project.org/package=recipes

## r-cran-recipes 1.0.5+dfsg

=== debian/changelog ===
r-cran-recipes (1.0.5+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 26 Feb 2023 11:41:52 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-dplyr,
+               r-cran-dplyr (>= 1.1.0),
                r-cran-cli,
                r-cran-clock,
                r-cran-ellipsis,

## r-cran-recipes 1.0.9+dfsg

=== debian/changelog ===
r-cran-recipes (1.0.9+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 08:38:20 +0100

r-cran-recipes (1.0.8+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 12 Sep 2023 02:43:03 +0200

=== debian/control ===
--- 
+++ 
@@ -14,16 +14,16 @@
                r-cran-generics (>= 0.1.2),
                r-cran-glue,
                r-cran-gower,
-               r-cran-hardhat,
+               r-cran-hardhat (>= 1.3.0),
                r-cran-ipred,
                r-cran-lifecycle (>= 1.0.3),
                r-cran-lubridate (>= 1.8.0),
                r-cran-magrittr,
                r-cran-matrix,
-               r-cran-purrr,
-               r-cran-rlang (>= 1.0.3),
+               r-cran-purrr (>= 1.0.0),
+               r-cran-rlang (>= 1.1.0),
                r-cran-tibble,
-               r-cran-tidyr (>= 1.0.0),
+               r-cran-tidyr,
                r-cran-tidyselect (>= 1.2.0),
                r-cran-timedate,
                r-cran-vctrs (>= 0.5.0),

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-ddalpha,
        r-cran-dials (>= 1.2.0),
        r-cran-ggplot2,
        r-cran-igraph,
        r-cran-kernlab,
        r-cran-knitr,
        r-cran-modeldata (>= 0.1.1),
        r-cran-rann,
        r-cran-rcpproll,
        r-cran-rmarkdown,
        r-cran-rpart,
        r-cran-rsample,
        r-cran-rspectra,
        r-cran-splines2,
        r-cran-testthat (>= 3.0.0),
        r-cran-xml2
Restrictions: allow-stderr

## r-cran-recipes 1.0.10+dfsg

=== DESCRIPTION ===
Package: recipes
Title: Preprocessing and Feature Engineering Steps for Modeling
Version: 1.0.10
Authors@R: c(
    person("Max", "Kuhn", , "max@posit.co", role = c("aut", "cre")),
    person("Hadley", "Wickham", , "hadley@posit.co", role = "aut"),
    person("Emil", "Hvitfeldt", , "emil.hvitfeldt@posit.co", role = "aut"),
    person(given = "Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: A recipe prepares your data for modeling. We provide an
    extensible framework for pipeable sequences of feature engineering
    steps provides preprocessing tools to be applied to data. Statistical
    parameters for the steps can be estimated from an initial data set and
    then applied to other data sets. The resulting processed output can
    then be used as inputs for statistical or machine learning models.
License: MIT + file LICENSE
URL: https://github.com/tidymodels/recipes,
        https://recipes.tidymodels.org/
BugReports: https://github.com/tidymodels/recipes/issues
Depends: dplyr (>= 1.1.0), R (>= 3.6)
Imports: cli, clock (>= 0.6.1), ellipsis, generics (>= 0.1.2), glue,
        gower, hardhat (>= 1.3.0), ipred (>= 0.9-12), lifecycle (>=
        1.0.3), lubridate (>= 1.8.0), magrittr, Matrix, purrr (>=
        1.0.0), rlang (>= 1.1.0), stats, tibble, tidyr (>= 1.0.0),
        tidyselect (>= 1.2.0), timeDate, utils, vctrs (>= 0.5.0), withr
Suggests: covr, ddalpha, dials (>= 1.2.0), ggplot2, igraph, kernlab,
        knitr, modeldata (>= 0.1.1), parsnip (>= 1.2.0), RANN,
        RcppRoll, rmarkdown, rpart, rsample, RSpectra, splines2,
        testthat (>= 3.0.0), workflows, xml2
VignetteBuilder: knitr
RdMacros: lifecycle
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2024-02-18 17:15:26 UTC; max
Author: Max Kuhn [aut, cre],
  Hadley Wickham [aut],
  Emil Hvitfeldt [aut],
  Posit Software, PBC [cph, fnd]
Maintainer: Max Kuhn <max@posit.co>
Repository: CRAN
Date/Publication: 2024-02-18 18:00:02 UTC

=== debian/changelog ===
r-cran-recipes (1.0.10+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 11 Jun 2024 10:39:06 +0900

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                r-cran-timedate,
                r-cran-vctrs (>= 0.5.0),
                r-cran-withr
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-recipes
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-recipes.git
 Homepage: https://cran.r-project.org/package=recipes

## r-cran-recipes 1.1.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: recipes
 Title: Preprocessing and Feature Engineering Steps for Modeling
-Version: 1.0.10
+Version: 1.1.0
 Authors@R: c(
     person("Max", "Kuhn", , "max@posit.co", role = c("aut", "cre")),
     person("Hadley", "Wickham", , "hadley@posit.co", role = "aut"),
@@ -18,11 +18,11 @@
         https://recipes.tidymodels.org/
 BugReports: https://github.com/tidymodels/recipes/issues
 Depends: dplyr (>= 1.1.0), R (>= 3.6)
-Imports: cli, clock (>= 0.6.1), ellipsis, generics (>= 0.1.2), glue,
-        gower, hardhat (>= 1.3.0), ipred (>= 0.9-12), lifecycle (>=
-        1.0.3), lubridate (>= 1.8.0), magrittr, Matrix, purrr (>=
-        1.0.0), rlang (>= 1.1.0), stats, tibble, tidyr (>= 1.0.0),
-        tidyselect (>= 1.2.0), timeDate, utils, vctrs (>= 0.5.0), withr
+Imports: cli, clock (>= 0.6.1), generics (>= 0.1.2), glue, gower,
+        hardhat (>= 1.4.0), ipred (>= 0.9-12), lifecycle (>= 1.0.3),
+        lubridate (>= 1.8.0), magrittr, Matrix, purrr (>= 1.0.0), rlang
+        (>= 1.1.0), stats, tibble, tidyr (>= 1.0.0), tidyselect (>=
+        1.2.0), timeDate, utils, vctrs (>= 0.5.0), withr
 Suggests: covr, ddalpha, dials (>= 1.2.0), ggplot2, igraph, kernlab,
         knitr, modeldata (>= 0.1.1), parsnip (>= 1.2.0), RANN,
         RcppRoll, rmarkdown, rpart, rsample, RSpectra, splines2,
@@ -32,13 +32,13 @@
 Config/Needs/website: tidyverse/tidytemplate
 Config/testthat/edition: 3
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 NeedsCompilation: no
-Packaged: 2024-02-18 17:15:26 UTC; max
+Packaged: 2024-07-03 11:51:03 UTC; max
 Author: Max Kuhn [aut, cre],
   Hadley Wickham [aut],
   Emil Hvitfeldt [aut],
   Posit Software, PBC [cph, fnd]
 Maintainer: Max Kuhn <max@posit.co>
 Repository: CRAN
-Date/Publication: 2024-02-18 18:00:02 UTC
+Date/Publication: 2024-07-04 05:10:02 UTC

=== debian/changelog ===
r-cran-recipes (1.1.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 03 Oct 2024 09:39:02 +0900

r-cran-recipes (1.0.10+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/tests/control: add package dependencies for fastICA, dimRed and others
    to increase test coverage.
    "xdg-utils" is fake dependency to signal that the following packages are
    manually added. It is a dependency of r-base-core, and therefore deemed
    harmless.
  * Standards-Version: 4.6.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 01 Aug 2024 15:37:46 +0200

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,10 @@
                r-cran-dplyr (>= 1.1.0),
                r-cran-cli,
                r-cran-clock,
-               r-cran-ellipsis,
                r-cran-generics (>= 0.1.2),
                r-cran-glue,
                r-cran-gower,
-               r-cran-hardhat (>= 1.3.0),
+               r-cran-hardhat (>= 1.4.0),
                r-cran-ipred,
                r-cran-lifecycle (>= 1.0.3),
                r-cran-lubridate (>= 1.8.0),

=== debian/tests/control ===
--- 
+++ 
@@ -16,5 +16,10 @@
         r-cran-rspectra,
         r-cran-splines2,
         r-cran-testthat (>= 3.0.0),
-        r-cran-xml2
+        r-cran-xml2,
+        xdg-utils,
+        r-cran-rcppml,
+        r-cran-dimred,
+        r-cran-fastica,
+        r-cran-dplyr
 Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/recipes_([-\d.]*)\.tar\.gz
